<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::gui::LayoutPosition Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1gui_1_1_layout_position.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1gui_1_1_layout_position-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::gui::LayoutPosition Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to define a position in a layout on the ground station.  
 <a href="classflair_1_1gui_1_1_layout_position.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_layout_position_8h_source.html">LayoutPosition.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac47a69e6867c7a39e9cb91d4adc7ca7c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_layout_position.html#ac47a69e6867c7a39e9cb91d4adc7ca7c">LayoutPosition</a> (const <a class="el" href="classflair_1_1gui_1_1_layout.html">Layout</a> *layout, int16_t row, int16_t col)</td></tr>
<tr class="memdesc:ac47a69e6867c7a39e9cb91d4adc7ca7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac47a69e6867c7a39e9cb91d4adc7ca7c">More...</a><br /></td></tr>
<tr class="separator:ac47a69e6867c7a39e9cb91d4adc7ca7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfff9b4fd6670430e8bd94440370ee49"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_layout_position.html#abfff9b4fd6670430e8bd94440370ee49">~LayoutPosition</a> ()</td></tr>
<tr class="memdesc:abfff9b4fd6670430e8bd94440370ee49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#abfff9b4fd6670430e8bd94440370ee49">More...</a><br /></td></tr>
<tr class="separator:abfff9b4fd6670430e8bd94440370ee49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a766d122d2b123cf6b146daf527058df4"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1gui_1_1_layout.html">Layout</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_layout_position.html#a766d122d2b123cf6b146daf527058df4">getLayout</a> (void) const </td></tr>
<tr class="memdesc:a766d122d2b123cf6b146daf527058df4"><td class="mdescLeft">&#160;</td><td class="mdescRight">get <a class="el" href="classflair_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a>  <a href="#a766d122d2b123cf6b146daf527058df4">More...</a><br /></td></tr>
<tr class="separator:a766d122d2b123cf6b146daf527058df4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fca2149b3c709f3f2172e8fea66b02d"><td class="memItemLeft" align="right" valign="top">int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_layout_position.html#a1fca2149b3c709f3f2172e8fea66b02d">Row</a> (void) const </td></tr>
<tr class="memdesc:a1fca2149b3c709f3f2172e8fea66b02d"><td class="mdescLeft">&#160;</td><td class="mdescRight">get row  <a href="#a1fca2149b3c709f3f2172e8fea66b02d">More...</a><br /></td></tr>
<tr class="separator:a1fca2149b3c709f3f2172e8fea66b02d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f321233c0ec13034db703b71d612520"><td class="memItemLeft" align="right" valign="top">int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_layout_position.html#a7f321233c0ec13034db703b71d612520">Col</a> (void) const </td></tr>
<tr class="memdesc:a7f321233c0ec13034db703b71d612520"><td class="mdescLeft">&#160;</td><td class="mdescRight">get col  <a href="#a7f321233c0ec13034db703b71d612520">More...</a><br /></td></tr>
<tr class="separator:a7f321233c0ec13034db703b71d612520"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to define a position in a layout on the ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac47a69e6867c7a39e9cb91d4adc7ca7c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::LayoutPosition::LayoutPosition </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1gui_1_1_layout.html">Layout</a> *&#160;</td>
          <td class="paramname"><em>layout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classflair_1_1gui_1_1_layout_position.html" title="Class to define a position in a layout on the ground station. ">LayoutPosition</a>, in given <a class="el" href="classflair_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a> at given place.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">layout</td><td>layout </td></tr>
    <tr><td class="paramname">row</td><td>row position </td></tr>
    <tr><td class="paramname">col</td><td>col position </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abfff9b4fd6670430e8bd94440370ee49"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::LayoutPosition::~LayoutPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a766d122d2b123cf6b146daf527058df4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classflair_1_1gui_1_1_layout.html">Layout</a>* flair::gui::LayoutPosition::getLayout </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get <a class="el" href="classflair_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a> </p>
<dl class="section return"><dt>Returns</dt><dd>the parent <a class="el" href="classflair_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a1fca2149b3c709f3f2172e8fea66b02d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t flair::gui::LayoutPosition::Row </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get row </p>
<dl class="section return"><dt>Returns</dt><dd>row position </dd></dl>

</div>
</div>
<a class="anchor" id="a7f321233c0ec13034db703b71d612520"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t flair::gui::LayoutPosition::Col </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get col </p>
<dl class="section return"><dt>Returns</dt><dd>col position </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
